aboutsummaryrefslogtreecommitdiff
path: root/installer/install-gopls.sh
diff options
context:
space:
mode:
authorYasuhiro Matsumoto <mattn.jp@gmail.com>2019-12-16 12:35:17 +0900
committerYasuhiro Matsumoto <mattn.jp@gmail.com>2019-12-16 12:35:17 +0900
commitd76744a4ae5612c4d08da082b535d5531183a64f (patch)
tree5517e2f349f0de40de1d819c9d21206402b13675 /installer/install-gopls.sh
parent08296a6c0b72c4024afdc1c989eaa93e873b9be6 (diff)
downloadvim-lsp-settings-d76744a4ae5612c4d08da082b535d5531183a64f.tar.gz
vim-lsp-settings-d76744a4ae5612c4d08da082b535d5531183a64f.tar.bz2
vim-lsp-settings-d76744a4ae5612c4d08da082b535d5531183a64f.zip
Install gopls local
Diffstat (limited to 'installer/install-gopls.sh')
-rwxr-xr-xinstaller/install-gopls.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/installer/install-gopls.sh b/installer/install-gopls.sh
index 3327911..038916a 100755
--- a/installer/install-gopls.sh
+++ b/installer/install-gopls.sh
@@ -1,4 +1,10 @@
#!/bin/sh
-go get -u golang.org/x/tools/cmd/gopls
+set -e
+cd $(dirname $0)
+[ -d ../servers/gopls ] && rm -rf ../servers/gopls
+mkdir ../servers/gopls
+cd ../servers/gopls
+go get -u golang.org/x/tools/cmd/gopls
+rm -rf src